# Constant Field Values

## uk.ac.*

uk.ac.starlink.topcat.HelpWindow
Modifier and Type
Constant Field
Value
`public static final String`
`HELPSET_LOCATION`
`"help/sun253.hs"`
uk.ac.starlink.topcat.LoadWindow
Modifier and Type
Constant Field
Value
`public static final String`
`LOAD_DIALOGS_PROPERTY`
`"startable.load.dialogs"`
uk.ac.starlink.topcat.LogHandler
Modifier and Type
Constant Field
Value
`public static final int`
`RING_SIZE`
`1000`
uk.ac.starlink.topcat.ParameterWindow
Modifier and Type
Constant Field
Value
`public static final String`
`CLASS_NAME`
`"Class"`
`public static final String`
`DESC_NAME`
`"Description"`
`public static final String`
`ELSIZE_NAME`
`"Element Size"`
`public static final String`
`NAME_NAME`
`"Name"`
`public static final String`
`SHAPE_NAME`
`"Shape"`
`public static final String`
`UCD_NAME`
`"UCD"`
`public static final String`
`UCDDESC_NAME`
`"UCD Description"`
`public static final String`
`UNITS_NAME`
`"Units"`
`public static final String`
`UTYPE_NAME`
`"Utype"`
`public static final String`
`VALUE_NAME`
`"Value"`
uk.ac.starlink.topcat.ResourceIcon
Modifier and Type
Constant Field
Value
`public static final String`
`PREFIX`
`"images/"`
uk.ac.starlink.topcat.TopcatEvent
Modifier and Type
Constant Field
Value
`public static final int`
`ACTIVATOR`
`2`
`public static final int`
`COLUMN`
`8`
`public static final int`
`COLUMN_DEF`
`10`
`public static final int`
`CURRENT_ORDER`
`6`
`public static final int`
`CURRENT_SUBSET`
`5`
`public static final int`
`LABEL`
`1`
`public static final int`
`PARAMETER_VALUE`
`4`
`public static final int`
`PARAMETERS`
`3`
`public static final int`
`ROW`
`7`
`public static final int`
`SHOW_SUBSET`
`9`
`public static final int`
`SUBSET_DEF`
`11`
uk.ac.starlink.topcat.TopcatJELRowReader
Modifier and Type
Constant Field
Value
`public static final char`
`SUBSET_ID_CHAR`
`'_'`
uk.ac.starlink.topcat.TopcatJELUtils
Modifier and Type
Constant Field
Value
`public static final String`
`ACTIVATION_CLASSES_PROPERTY`
`"jel.classes.activation"`
uk.ac.starlink.topcat.TopcatSender
Modifier and Type
Constant Field
Value
`public static final String`
`TOPCAT_LOAD_MTYPE`
`"table.load.stil"`
uk.ac.starlink.topcat.TopcatUtils
Modifier and Type
Constant Field
Value
`public static final String`
`STATUS_URL`
`"http://www.starlink.ac.uk/topcat/topcat-status"`
`public static final String`
`VERSION_RESOURCE`
`"version-string"`
uk.ac.starlink.topcat.WindowAction
Modifier and Type
Constant Field
Value
`public static final String`
`HIDE`
`"HIDE"`
`public static final String`
`SHOW`
`"SHOW"`
`public static final String`
`VISIBLE`
`"VISIBLE"`

uk.ac.starlink.topcat.activate.ActivationWindow
Modifier and Type
Constant Field
Value
`public static final String`
`ACTIVATORS_PROP`
`"topcat.activators"`
uk.ac.starlink.topcat.activate.HipsSurvey
Modifier and Type
Constant Field
Value
`public static final String`
`MOC_SERVER`
`"http://alasky.unistra.fr/MocServer/query"`
`public static final String`
`MOC_SERVER2`
`"http://alaskybis.unistra.fr/MocServer/query"`
uk.ac.starlink.topcat.activate.TwoMass
Modifier and Type
Constant Field
Value
`public static final String`
`TWOMASS_BASE_URL`
`"http://irsa.ipac.caltech.edu/cgi-bin/Oasis/2MASSImg/nph-2massimg"`

uk.ac.starlink.topcat.contrib.gavo.GavoCSVTableParser
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_COMMENT_PREFIX`
`"#"`
`public static final String`
`DEFAULT_DELIMITER`
`","`

uk.ac.starlink.topcat.func.Mgc
Modifier and Type
Constant Field
Value
`public static final String`
`MGC_IMAGE_BASE`
`"http://www.eso.org/~jliske/mgc/data/pstamps/MGC"`
`public static final String`
`MGC_IMAGE_TAIL`
`"B.fit.gz"`
uk.ac.starlink.topcat.func.Sdss
Modifier and Type
Constant Field
Value
`public static final String`
`SDSS_BASE_URL`
`"http://casjobs.sdss.org/ImgCutoutDR7/getjpeg.aspx"`
`public static final String`
`SDSS_DR2_BASE_URL`
`"http://skyservice.pha.jhu.edu/dr2/ImgCutout/getjpeg.aspx"`
uk.ac.starlink.topcat.func.SuperCosmos
Modifier and Type
Constant Field
Value
`public static final String`
`SSS_BASE_URL`
`"http://www-wfau.roe.ac.uk/~sss/cgi-bin/sss_topcat_pix.cgi"`
uk.ac.starlink.topcat.func.TwoQZ
Modifier and Type
Constant Field
Value
`public static final String`
`TWOQZ_FITS_IMAGE_BASE`
`"http://www.2dfquasar.org/postfits/"`
`public static final String`
`TWOQZ_FITS_IMAGE_TAIL`
`".fits.gz"`
`public static final String`
`TWOQZ_JPEG_IMAGE_BASE`
`"http://www.2dfquasar.org/postjpg/"`
`public static final String`
`TWOQZ_JPEG_IMAGE_TAIL`
`".jpg"`
`public static final String`
`TWOQZ_SPEC_BASE`
`"http://www.2dfquasar.org/fits/"`
`public static final String`
`TWOQZ_SPEC_TAIL`
`".fits.gz"`

uk.ac.starlink.topcat.interop.ImageActivity
Modifier and Type
Constant Field
Value
`public static final String`
`FORMAT_FITS`
`"FITS"`
`public static final String`
`FORMAT_GIF`
`"GIF"`
`public static final String`
`FORMAT_JPEG`
`"JPEG"`
`public static final String`
`FORMAT_PNG`
`"PNG"`

uk.ac.starlink.topcat.plot.PointSelector
Modifier and Type
Constant Field
Value
`public static final String`
`TABLE_CHANGED`
`"TABLE_CHANGED"`
uk.ac.starlink.topcat.plot.PointSelectorSet
Modifier and Type
Constant Field
Value
`public static final String`
`MAIN_TAB_NAME`
`"Main"`

uk.ac.starlink.topcat.plot2.BlobPanel2
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_ACTIVE`
`"active"`
uk.ac.starlink.topcat.plot2.FigurePanel
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_ACTIVE`
`"active"`
uk.ac.starlink.topcat.plot2.GroupControlManager<P,A>
Modifier and Type
Constant Field
Value
`public static final String`
`PLOTTERS_PROP`
`"plot2.plotters"`